package com.xynet.marketing.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 优惠券类型枚举
 *
 * @author hechunping
 * @date 2025/2/13
 */
@Getter
@AllArgsConstructor
public enum CouponTypeEnum {
    T_1("1", "满减"),
    T_2("2", "折扣");
    private String code;

    private String value;

    public static CouponTypeEnum getEnum(String code) {
        CouponTypeEnum[] values = CouponTypeEnum.values();
        for (CouponTypeEnum enums : values) {
            if (enums.code.equals(code)) {
                return enums;
            }
        }
        return null;
    }

    public static Map<String, String> maps() {
        Map<String, String> map = new HashMap<>();
        CouponTypeEnum[] values = CouponTypeEnum.values();
        for (CouponTypeEnum enums : values) {
            map.put(enums.code, enums.value);
        }
        return map;
    }
}
