package com.xynet.marketing.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 优惠券有效期类型枚举
 *
 * @author hechunping
 * @date 2025/2/13
 */
@Getter
@AllArgsConstructor
public enum CouponValidTypeEnum {
    T_1("1", "有效天数"),
    T_2("2", "固定日期");
    private String code;

    private String value;

    public static CouponValidTypeEnum getEnum(String code) {
        CouponValidTypeEnum[] values = CouponValidTypeEnum.values();
        for (CouponValidTypeEnum enums : values) {
            if (enums.code.equals(code)) {
                return enums;
            }
        }
        return null;
    }

    public static Map<String, String> maps() {
        Map<String, String> map = new HashMap<>();
        CouponValidTypeEnum[] values = CouponValidTypeEnum.values();
        for (CouponValidTypeEnum enums : values) {
            map.put(enums.code, enums.value);
        }
        return map;
    }
}
