package com.xynet.marketing.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 促销活动类型枚举
 *
 * @author hechunping
 * @date 2025/2/13
 */
@Getter
@AllArgsConstructor
public enum PromotionTypeEnum {
    T_1("1", "满减"),
    T_2("2", "折扣"),
    T_3("3", "特价");
    private String code;

    private String value;

    public static PromotionTypeEnum getEnum(String code) {
        PromotionTypeEnum[] values = PromotionTypeEnum.values();
        for (PromotionTypeEnum enums : values) {
            if (enums.code.equals(code)) {
                return enums;
            }
        }
        return null;
    }

    public static Map<String, String> maps() {
        Map<String, String> map = new HashMap<>();
        PromotionTypeEnum[] values = PromotionTypeEnum.values();
        for (PromotionTypeEnum enums : values) {
            map.put(enums.code, enums.value);
        }
        return map;
    }
}
